Overview

Eagle Lander 3D Version2.0

from Go for Landing LLC

First of All…

The main Eagle Lander 3D website is: http://www.eaglelander3d.com . Check in often for updates and developments.

Also, please join the Yahoo Groups Forum for general information, discussion and update information.

Getting Started

The operation and flight control of the LM can be complicated to the uninitiated. In Eagle Lander 3D (EL3D), the switches, controls, computer interface and flight dynamics are designed to be very realistic. It would be a good idea to first look through the information included in this help file to get the most out of your EL3D experience.

Some places to start....

· Quick start for those that just have to fly, right now.

· Apoll 11 Mission specifics for in-depth description of the Apollo 11 mission. For non-registered installations or first time users this section gives more specific information about the mission. Apollo 11 also has two special features not included in the other missions. Even if you are about to fly another mission it is a good template for general information.

· Landing Procedures for a detailed description of the flight modes, programs, trajectory, etc.

· LM Systems for an overview of the computer, instruments, controls, propulsion, guidance and flight planning.

· Startup Settings to learn how to optimize EL3D to your machine.

· Tips to get some fast ideas on how to maximize EL3D operation.

· Controls for a description of the methods of controlling el3d with either the keyboard or joystick(s).


Quick Start

· Double click on the Eagle3d Icon

· The Settings dialog box comes up. The program defaults to a windowed display. If you wish to have it run in Fullscreen then select the desired setting. For more information on this box click here.

· Almost all settings have something to do with speed vs. quality. More detailed landscape, shadow, or rock settings will reduce frame rates. The trick is to find a comfortable compromise for your computer / video card combination.

· Select a mission and scenario. If this is an unregistered version you are defaulted to Apollo 11 basic flight scenario.

· Once you are happy with the various startup settings then click 'Continue'. The program begins with a little intro screen that you can cut short by hitting the space bar if you wish.

· Start flying by pressing "F5". Depending on the scenario you may be in a long flight (P64) or a short flight (P66).

o       Short flight (P66): If you have been flying in P64 this program is started at about 450' If you started a short flight scenario (like the default Apollo 11 one) then you are starting at about 400'. If coming from P64 then you MUST switch the PGNS to Manual (Shift+G) in order to take over manual flight. Look for a landing spot somewhere ahead and maneuver the LM toward it as smoothly as possible. Once you have reached 100' altitude you should have no horizontal speed. Use the X-pointer display to help null your rates along with the FDAI ball. You can select high or low gain on the X-pointer by clicking on the switch or pressing "H". Lower yourself gently to the ground and keep your descent rate about 3-4fps and no horizontal rate at all. The dust will start kicking up and you might have trouble making out the ground so rely a bit on your instruments.

o       Long flight (P64): P64 refers to the computer program that drives the autopilot. You are defaulted to fully automated flight and if you did nothing the LM would continue to the next program P66, null the horizontal rates, and land automatically. While in P64 you can move the stick to redesignate the programmed landing site. Moving the stick out of detent and back causes the redesignation. Left/right movement changes the landing site by 2 degrees or so. Forward/ Backward changes by about .5 degrees. The 'ruler' on the window is the LPD or Landing Point Designator. The DSKY display will tell you the current LPD angle and you can find the landing spot by looking for it opposite of the LPD number.

· During the flight (when you get a chance) you can investigate other views. Keys 1,2,3,4,5,6,7,8,9,0 normally control different views. When in spot view (7,8) and you can use the POV hat on the joystick or the A,W,D,X,S keys to move around the ship. S defaults you to the rear looking forward. Q and E keys move you away or toward the LM.

· F1 brings up one of several help screens. This will show you key/switch assignments.

· The Contact Light will pop on at about 6' and at that point you can cut your engine using the K key.

· Congratulations! You just landed and now you just need to work on the score.....


Parameters

Startup Settings

Video Settings

The dropdown combo boxes are for fullscreen settings. The video mode shows the different screen resolutions of your card.

Windowed or Full Screen

EL3D can be run as a full screen application or in a window.

Advanced

Clicking the Advanced button opens up a new dialog box.

Display frames/sec. The frame rate is shown in the top left corner of the window

Limit Vertical Sync. Rate. This setting limits the speed of the frame rate of the graphics to no more then the refresh rate of your monitor. In actuality it would be a rare (super fast) system that could drive EL3D at those high frame rates (>60fps) where this option might be useful.

Depth Buffer. This controls the internal precision of the location of objects in 3D space. Preferably W-Buffer is to be used, but some cards have an inferior implementation and Z-Buffer may give better results.

Debug File. This will create a file name GraphicDebug.txt in the main installation directory. If you are having intialization trouble you can use it as a diagnostic tool.

Land Detail Texture Mode. This is the way the detail texture is combined with the main land texture. The land seems to look best in most cases with Modulate2X. For a softer looking landscape you can try Modulate. Weird looking results come from the other methods.

Texture Mode. Again this is a video card capability setting. 16 bit is default but is also a lower quality video setting. 32bit looks best but uses more video memory. Compressed is usually the best choice because it gives good quality but compresses the graphics in memory. However, some graphics cards don’t support it.

Antialiasing. If you have a really fast and high quality graphics card you can try this setting. It takes the screen resolution and fills in-between the individual pixels with a gradient to make the picture seem less ‘pixelated’ and smoother. It also requires lots of video power and can really slow down the display.

Filtering. This is how the pixels on the screen are interpolated in order to draw a more realistic and smooth image. It is a little like the Antialiasing setting except it operates on the native resolution of the screen and isn’t trying to make more pixels. Trilinear is the default setting but Anisotropic is probably the best setting for more advanced cards.

Use Simple Models. These are alternate low polygon models that can be used instead of the very detailed originals. On many slower cards the frame rates will improve dramatically using these models. Of course they do not have the detail of originals but they will get you flying – while you shop for that new card….

Startup Window

The preferred view you would like when the program starts.

Landscape Detail

Again this is a tradeoff between speed and resolution. If your frame rates drop too much on the higher resolutions and then adjust accordingly.

Rock Density

Too many rocks and a weak graphics card are trouble. Start with less and then add more later.

Rock Graphic

There are simple rocks and complicated ones with individual shadows. The simple ones look fine but if you want more realism you can use more of the ‘real’ ones. Of course the more real ones you use, the slower the frame rates.

Mission Parameters

Missions are broken down into a major Mission and a corresponding Flight. If you have an unregistered version of EL3D then the mission will always be Apollo 11. Register for the others!

Texture Quality

Lowering this setting saves video card memory but degrades the various landscape and other bitmaps. If you have a video card with 64mb or less memory and find the program is freezing or running very slowly, then try reducing the texture quality.

Current Pilot

This will select the current pilot from a list. You can clear scores or add pilots here.

Sound

Change the volume or check More Settings to see other options. You can modify the music you hear as well. If you have a favorite song that inspires better flight, you can point to the wav or mpg file location by clicking, More Settings, and then the “…” button .

Controls

The joystick or keyboard can be selected as primary control. Furthermore the joystick ports can be designated in the event rudder pedals or another yaw device is on another port. Setup will also assign joystick buttons to other functions and control the way you use multiple joysticks.

More information about the controls and joysticks can be found here.


Scoring

Detailed Landing Procedures

  • Select various video, sound, texture, and other options in the Startup and Advanced dialogs. For more information see Startup Settings.
  • After selecting a Mission and Flight from the startup dialog, select Continue to begin the flight.
  • A loading window appears and displays the progress of the various elements being initialized and loaded. At the conclusion of initialization the program will begin in either a windowed or fullscreen mode (depending on your initial selection).
  • After a brief intro ‘fly through’ sequence (can be stopped with the space bar), the program will settle down to the opening view. EL3D is paused and ready for flight. The menu is shown on the left and clicking Start or F5 will begin the flight and the menu will disappear. If you want to see the menu again, press F6. Pressing F6 or Esc will hide the menu.
  • If this is your first time you may wish to view a replay and ‘ride along’ for the first time:
    • Viewing Replays
      • From the menu click Load. A box appears with the current available replays. Select one by clicking on it. Pressing OK returns you to the menu. Begin the replay by pressing Start Replay.
      • As the replay plays you can select various views to watch the flight from different angles.
      • Also use the space bar to select various view overlays.
      • After landing you can see the ‘score’ of the recorded replay by using the space bar to bring up the score display. In Spot view you can see the flight path overlaid on the screen.
  • Note: If your EL3D installation is not registered you will not have the following capability. See the P66 flight below. If you are registered and have selected a longer mission (P64) you will be at about 7000’ to 8000’ and traveling at anywhere between 325fps to 500fps (mission dependent). You should select a window view such as Virtual View 1 (key 1), Cockpit View 1(key 4) or Cockpit View 2(key 5). This allows you to see through the front window and your eye is aligned with the Landing Point Designator (LPD). The LPD consists of markings inscribed on the outside and inside window panes. These markings correspond to the angle reported by the DSKY. If you cycle the view overlay options with the space bar you can overlay the DSKY on the screen or just have an information bar at the bottom of the screen. In any event, the angle is reported by the right-hand side two digits of Register 1 in the DSKY or in the info bar at the bottom. This angle corresponds to the computed landing point. Sighting through the LPD at this angle will show you where the LM is going to land on this trajectory. In Virtual View 1 you can move your ‘head’ by using the POV hat on your joystick or the A, D, W, X,Q,E keys. You will notice that the lining up of the inside and outside scribe marks in like lining up the sights of a handgun. The way to vary the trajectory is as follows:
    • Press PRO on the DSKY. The DSKY stops the flashing and indicates the AGC is ready to accept landing point re-designation.
    • Look through the LPD at the angle reported by the DSKY and decide if the landing spot is acceptable. If you don’t like what you see you can move the controller out of detent and ‘nudge’ it in the direction you would rather go. Side-to-side trajectory changes are about 2deg per nudge. Fore and aft in-plane changes are about 1/2deg per nudge. You will notice the LM bank or pitch appropriately to respond to the new landing target.
    • LPD re-designation is available through most of P64 flight. The left-hand side two digits of Register 1 of the DSKY will tell you how many seconds are left for re-designation. As the end of P64 flight approaches the landing target will move off the bottom of the LPD. P66 flight is imminent.
    • P66 Final Approach. This is the final terminal phase of flight and starts between 350’ to 500’ above the ground (mission dependent). The P66 program is started automatically when P64 has concluded. When flying with the Primary Navigation Guidance System (PGNS, pronounced “pings”) switch in Auto (learn about the switches and their functions here), the program automatically nulls the horizontal velocities and slows the descent rate to 3fps. The landing will then occur automatically. Of course no commander ever let the LM land automatically, so switching the PGNS switch to “Attitude Hold” (default is SHIFT+G key, twice) allows manual flight control of the LM attitude. If you selected a P66 flight from the Flight combo box, the PGNS key is already in Attitude Hold (this includes the non-registered Apollo 11 P66 flight). If you were in P64 flight then you will have to manually select Attitude Hold. Some guidelines to follow in P66:
      • Use the controller to ‘fly’ the LM to a safe landing on level ground.
      • Adjust the Rate of Descent (ROD) with the up or down ROD switch either on your joystick or the “minus” or “plus” keys. A click of the ROD switch changes the ROD about 1fps. The AGC calculates all of the vectors and maintains the ROD even while you are maneuvering. All of the actual moon landings were done in this automatic throttle setting. You can try switching to manual throttle (T key) and handle all of the throttle adjustments manually. Your score gets bonus points for manual throttle use.
      • As you get very close to the ground the dust becomes very thick and it may be hard to see positive ground reference points. This is where it might be better to fly under IFR (borrowing a term from aviation meaning Instrument Flight Rules or flying solely on instruments when in clouds). Use the X-Pointer and FDAI ball to keep your horizontal rates nulled.
      • When the Contact light comes on you can kill the engine (K key). The contact probes extend about 6’ below three of the pads. They sense touching the ground. On Apollo 11 they landed with the engine on even though it was not exactly NASA procedure. NASA had decided that it was better to shut the engine off at a safe altitude and fall the few feet to the surface rather then risk damaging the engine while it was running in case there was a big rock under the LM.
      • You Landed!
  • If this was a particularly noteworthy landing you might want to observe details of your score or save the replay for later viewing.
    • If you wish to save the replay press F6 to bring up the menu. Select Save Replay and then type a label you would like to call it and click OK.
    • If you want to look at details of your score and flight trajectory, select a Spot View and then press the space bar a few times until you see the score display pop-up. You will also see your flight path while under P66. See Scoring for details on this display.
  • P68 Landing Termination program. Use the DSKY to select the P68 program (V37E68E). To learn how to use the DSKY click here. This readies the LM for surface operations.
  • Once safely on the lunar surface you will probably want to explore your surroundings with an EVA (Extra Vehicular Activity). Press 0 and you will be looking out the open hatch. Move forward/backward with the joystick or W or X keys. As you move out onto the porch or down the ladder you may want to stop and listen to the words of an actual astronaut as he comments on his progress and impressions. At the bottom of the ladder step off (forward) and have fun exploring. The POV hat or arrow keys will change you head view. Moving the joystick or A,W,D,X keys will allow you to walk.


Flying the LM

Basic Flight

The LM while in powered descent is a cross between a helicopter and a spacecraft. Of course a helicopter always has aerodynamic forces acting on it so it has some very different behaviors then the vacuum flying LM.

Pitch and Roll are the primary mechanism for guiding the LM. Pitching or rolling causes the engine thrust to be 'vectored' away from the direction of pitch or roll. If you want to fly left you roll left. A component of the engine thrust will begin to propel you to the left. In order to stop moving left you must roll into a right bank to vector the engine the other way. The same goes for pitch. If you are flying with automatic throttle the computer will automatically calculate the additional thrust necessary to maintain you desired descent rate. Remember, as you roll or pitch the 'component' of thrust in the vertical and horizontal directions will change. This can lead to some interesting effects. For example: If you suddenly command a high descent rate and simultaneously roll into a steep bank to move left you will notice that despite the roll (and corresponding high horizontal thrust vector) you are not accelerating to the left like you would think. That is because while the 'component' of thrust in the horizontal direction is high, the magnitude is very low because the computer has decreased engine thrust to descend more rapidly.

Throttle

As mentioned in the previous paragraph, the engine is primarily controlled by the computer. All of the Apollo landings were done with automatic throttle. The astronaut could 'toggle' a requested descent or ascent rate and the computer would honor it along with the corresponding thrust vectors associated with pitch and roll. However, landings were practiced using manual throttle. If you select this more challenging mode, you will get bonus points added to your score.

Landing Approach

Your goal is to pick a flat spot and arrive at zero horizontal velocity 100' directly overhead. You can then descend at 3-4fps (with a little flare perhaps to 1-2fps before touchdown) keeping the horizontal rates nulled. You can use the instruments to help you. The two primary ones are the X-pointer at the top and the FDAI (Flight Director Attitude Indicator) ball. Of course make sure you are on low scale for the X-pointer as you reach that 100' hover point. As you descend there will be an increasing amount of dust so make sure you don't rely too much on outside references when you are really low. Armstrong was a bit confused because of the moving dust and he danced the LM around a bit too much in the final seconds.

Note: F3 will show the original landing site. It is marked on the ground with the outline of the LM.

Finally

Practice, practice, practice. You will get it.


Scoring

Ascent Procedures

General Information

Ascent from the moon is initiated by starting the program P12. EL3D models the first few minutes of the ascent profile as the LM pitches over and flies into the dark side of the moon. Later versions will include the entire flight through docking. Once you are satisfied you are on your way you can skip to the terminal phase of docking with the Orbital Ascent scenario.

Specific Steps

  • Start the Ascent Program by entering V37E12E. You are now t-minus one minute and counting.
  • Enter PRO. The desired downrange velocities are shown in the appropriate registers (press F2 for more details)
  • Make sure PGNS switch is in Auto
  • Enter PRO again. A checklist item 203 appears in DSKY Register one. That is confirmation PGNS is in Auto. If it isn’t you will get a warning message.
  • Enter PRO. Back to the countdown.
  • At t-minus 35 seconds the screen will blank while AGC does intense final computations.
  • At t-minus 29 seconds the screen reappears and counts down to 5 seconds.
  • It again blanks and a flashing 99 is displayed. The AGC is asking you to approve the launch. Quickly hit PRO and the countdown sequence is again visible. At t-minus zero ignition occurs and the ascent stage takes off.
  • After a short vertical ascent the LM pitches forward to begin its acceleration into lunar orbit. You can ride along for awhile but EL3D presently does not take you all the way into a correct lunar orbit. As you leave the scenery area you will see the moon but you are also flying into the dark side of the moon.


Scoring

Rendezvous and Docking

Some General Information

Eagle Lander 3D (EL3D) features rendezvous and docking capabilities for the terminal phase, “putting it in the garage”, as Buzz Aldrin describes. The difference between EL3D and an actual Apollo flight is that the LM remains the active docking platform throughout the procedure. Normally the LM would chase the CSM and then the Command Module Pilot (CMP) would do the actual docking procedure from the Command Module. However as a backup the LM was perfectly capable of doing the active docking. In EL3D you will perform that procedure.

There are two Orbital scenarios: Orbital Descent, Orbital Ascent. To actually practice docking from the ascent stage you would select Orbital Ascent. However, you might find it useful the first time to use the descent scenario just to see the alignment between the two spacecraft.

An important instrument utilized for docking is called the Crewman Optical Alignment Site (COAS). This device is mounted in the overhead docking window and projects a docking target on a reticule that the Commander (CDR) looks through. The optics of the site creates an image projected at a distance away from the LM. The CDR then maneuvers the LM until the projected image aligns with the docking target mounted on the right forward facing window of the Command Module (CM).

If you start with the descent scenario you can look through the COAS mounted on the overhead window (Virtual View 2) and see the proper alignment. You can then press CTRL+D to undock. As the spacecraft separate you can watch this alignment. If you like you can make a few minor RCS or translations and then ‘practice’ realigning the target. Now ease toward the CSM and try to re-dock.

A docking consists of a capture of the probe inside the docking tunnel – sometimes referred to as a ‘soft dock’, followed by the retraction of the probe and the final ‘hard dock’. In EL3D you will hear the docking probe sliding down the tunnel and then hear the capture. The retraction of the probe takes several seconds and then you will hear the latches engage and a message “Hard Dock” will appear.

An Actual Docking

Selecting the Ascent Orbital scenario puts you in the ascent stage of the LM about a mile away and slightly below the CSM. You are approaching the CSM at about 15 fps.

You can use the Rendezvous Radar (RR) to track the CSM and help you null your relative velocities.

· The X-Pointer displays relative angle rates from the CSM in mRads/sec (milli-radians per second) for horizontal and vertical alignment.

· The Altitude Tape displays range in feet.

· The Altitude Rate Tape displays range rate in ft/s

· You can also hit the space bar in any display to show similar information on the bottom info bar.

Glancing at the DSKY you will notice the active program is P20 and the two upper registers have numbers representing the Trunnion Angle (Register 1) and the Shaft Angle (Register 2) of the RR. Since the RR is automatically tracking the LM you can adjust the orientation of the LM until those values are reading zero. That means the LM is pointing directly at the CSM. If you look through the CDR window you should see the CSM way out there (a small dot) near the zero line of the LPD. By pointing the LM directly at the CSM you can also make translations in plane with the relative velocity corrections necessary shown on the X-Pointer.

Start slowing down using Z translation. A series of relatively long RCS burns will start to bring your velocity down.

As you get close to the CSM you will need to decide on final alignment translations. The X-Pointer will show your relative angular velocity from the CSM. If you are below you might need to use some X translation to bring the LM up a little. You can then use the X-Pointer to stop the relative movement.

Once you are about 60 feet from the CSM and are holding station it is time to pitch over for the final docking phase. As you pitch over you should switch your view to Virtual View 2 and begin looking through the reticule for the docking target on the CSM. You will need to yaw the LM to the correct orientation with the CSM. You will also notice that the translations and some attitude RCS commands are now 90 degrees different then when you were looking out the front window. Get used to it!

Now it is up to you to make final translations and attitude corrections to dock. You should do the actual docking at about .1fps.

Just like landing it takes some practice!

Other Orbital Flight Information

Try different modes of RCS. (See Switch Positions). In normal Attitude Hold you can select minimum and maximum Deadband. This means that the calculated attitude will be held within the Deadband. At Max Deadband the attitude is held within 5 degrees. In minimum Deadband it is .5 degrees. Of course the accuracy is less in Max, but RCS fires less too.

Select Minimum Impulse Mode. Enter V76E through the DSKY (Learn how to use the computer). Now every time you move the controller a short burst of 14ms occurs. This is used for star sightings and very small and precise maneuvers. To return to normal enter V77E.

You can manually stage the LM. Hit CTRL+A and the two stages separate and drift apart. Watch the LM descent stage tumble slowly beneath you. Of course you just blew any chance of landing…..

Finally

The DSKY display can be changed by pressing PRO and then entering in V16N78E. This shows basic velocity information that is similar to what you are already seeing on the tapes / info bar. Select F2 for more detailed information about P20 DSKY functions.


Scoring

LM Racing

The LM racing mission is a fun way to develop your LM flying skills. It is a very simple course but the challenges come when you try to get around it fast. The scoring is controlled by several factors:

  • Speed. How quickly did you get around the course? The less time it takes to maneuver through the course and land, the higher your time score.
  • Altitude. This plays a critical factor in your score. The lower you fly the higher your score. If you fly over the top of the ridge you quickly generate negative altitude scores.
  • Manual Throttle. Using manual throttle will give you bonus points for difficulty.

Make sure you get slowed down before the end of the course. A sudden pitch-back works well but is sometimes hard to control. You don’t need to worry about the quality of your landing – just get it down safe. When you land your time score stops. Keep in mind your time score is unaffected by just passing under the finish line – you must land past the finish line to stop it.

Remember, you can save and load replays of previous flights. If this is your first time you might try watching the ‘canned’ one first. It even shows a ‘mistake’ of overcorrecting at the finish line and flying backwards a bit.

Once you are on the ground switch to a spot view and use the space bar to cycle through the displays until you see the score. Your flight track is in green. You can zoom way out and check the quality of your turns and positioning on the course.


Scoring

Tips

  • Use the space bar to cycle through the displays for each view. Each view ‘remembers’ the current overlay, so you can have a different overlay for each one. For example, you might have the FDAI, X-Pointer overlay on Virtual View 1 and no overlay on 2 or 3.

  • F1 and F2 are both help screens. You can press F1 multiple times and get more displays. In windowed mode the third press of F1 will bring up the main help program.

  • F3 will show you the location of the historic landing site. A green shadow of the LM appears on the ground and a big arrow in the air allows you to see it from a long way off.

  • Try not to use very aggressive graphics settings when you first run the program unless you know you have a powerful graphics card.

  • Real shadows heavily affect the frame rates. These shadows are significant calculations of all of the positions of the objects and where their shadows should be. If you have a weak graphics card you will get very low frames/sec. The synthetic shadow is a lot faster but is not always accurate – especially on uneven terrain.

  • Don’t be afraid to try different settings in the Advanced dialog box. Sometimes just playing around with the different options may improve your display or increase the frame rates.

  • The virtual cockpit allows you to move around inside. You can rotate (your virtual head) as well as move your body. See how the alignment with the LPD varies as you move your head up and down and side-to-side.

  • Assign some common controls to your joystick buttons. One example is the PGNS switch. By default it is toggled using CTRL+G. Since it is a three position switch you have to toggle it twice to get it to the right position sometimes. However, the PGNS switch (and the others) have ‘continuous’ position switch assignments too. That means you can have a switch ‘holding’ a particular position. So for PGNS you could assign three buttons for each switch position. If you were designing a real cockpit you could use that to wire an actual switch. For this example you could just assign F9 (or any key or joystick button) to PGNS Att Hold. That way when you needed to go to Attitude Hold quickly you don’t have to toggle through the positions.

  • Check out the joystick.ini or keyboardonly.ini files with Notepad or another editor. You can see how the example above can be programmed and you may get some other ideas as well.


Scoring

You can have a lot of fun with EL3D without worrying about your score. Of course the actual landings were not scored and their success should only be measured by the magnificent achievement of each and every flight. Nevertheless, we all like to be 'measured' and have something tangible to strive for. As a result the following scoring criteria was created to enhance your EL3D experience. A NASA textbook landing was a controlled rate of descent to 100' followed by a vertical descent to the surface.

The following elements make up your total flight score:

Accuracy - 500 pts

How far did you drift away from the designated landing spot? The NASA criteria for a 'perfect' landing was a vertical descent from 100'. In Eagle Lander 3D the moment you hit 100' you have just determined your landing spot. It is now up to you to not drift too far from where you were at 100'.

Landing Spot -500 pts

How level was the terrain you landed on?

Velocity -1000pts

How softly did you touch down? This also includes horizontal components - not just your vertical descent rate.

Historical Accuracy - 400pts

How close to the original landing site did you get? While this score only has 400 possible points, it does help put the 'finishing touch' on a great flight. Even though fuel reserves are marginal when doing a NASA approved landing at the original site, it is possible.

Smoothness greater then 100 feet. - 1000pts

How smoothly did you fly the approach? Did you make a lot of changes in your horizontal velocities and vertical descent rates? This value is based on a second order polynomial curve fit to your flight path velocities in X, Y and Z directions. The theoretical path is subtracted from your actual flight path. The closer your flight path conforms to the 'smooth' one created mathematically, the higher you score.

Smoothness less then 100 feet. -1000pts

How well did you control your horizontal rates below 100'? This value is similar to the one above except no polynomial is used - just a subtraction from "0" velocity for horizontal rates.

The following picture is an annotated version of the one you can see by selecting Spot View and cycling through the displays with the space bar.

The Total Score >4400pts

Bonus is added for manual flight (Attitude Hold) and flight time in manual throttle. You can actually switch to manual flight during P64 if you wish.

You must switch to manual flight before reaching 250' or you won't get a score.


Apollo 11

The Apollo 11 flight was the first landing on the moon, July 20th, 1969.

This EL3D mission has two unique features not present in other missions. During the P64 flight there was a program alarm which is modeled in EL3D. In addition the short flight (P66) has a special sound file option. Please see the Special Function sections for descriptions.

There are two EL3D scenarios for this landing:

  • Short Flight P66
    • The short flight is the default flight for non-registered versions of EL3D. It starts at about 500’, just east of West Crater. Eagle is descending at about 17fps and moving forward at about 70fps. The AGC program is P66. The Primary Navigation Guidance System (PGNS) switch is set to Attitude Hold. This is allows manual control of the LM attitude. The throttle is set to Automatic and the computer handles all of the throttle functions. The astronaut may click the Rate of Descent (ROD) switch up or down to initiate 1fps per click commanded changes in descent rate. On the actual mission Neil Armstrong pitched forward and landed farther downrange. Obviously he clicked the ROD switch ‘up’ to reduce his descent rate. He kept a high forward velocity until he cleared the West Crater and began slowing down to land. Pressing F3 will show the historic landing site. A large arrow sets over the top and a green outline of a LM is on the surface. The large horizontal velocity near the ground caused the Altitude and Velocity lights on the DSKY light display to come on. This meant the radar could not provide reliable velocity information but since Neil was flying visually it didn’t matter.

Special Function Before starting the flight there will be a check box that becomes visible when you have selected the Short Flight P66 scenario. This check box is called Test-11 and is in the Sound Settings section. If you check this box the sound you will hear is a continuous stream of real-time audio from the actual Apollo 11 landing. The ‘triggers’ of altitudes and speeds no longer applies and this sound plays the audio non-stop. This option allows you to try to mimick the audio altitudes and speeds with your own flight. See how close you can get your flight to the actual flight.

  • Long Flight P64
    • The longer flight begins farther up range and at about 8000’. The LM is moving at about 500fps and descending at 140fps. The AGC program is P64. The Primary Navigation Guidance System (PGNS) switch is set to Auto. That means the autopilot is engaged. The DSKY display is flashing indicating it is expecting a PRO command. Pressing PRO (keyboard ‘*’) stops the flashing and allows for manual redesignation of the landing site. The angle to the computed landing site is displayed in the right two digits of Register 1 on the DSKY. Aligning this number with the Landing Point Designator (LPD) on the window will show the intended landing point. If this is not acceptable one can nudge the controller in the desired direction and the computer will recalculate the landing site, issue commands to the autopilot and display the new angle on the DSKY. As the LM slow pitches forward the LPD angle will change a little bit. Also, very near the landing site the LPD angle will be so far below the window that the LPD angle will go off scale. The two digits to the left on Register 1 of the DSKY indicate the time left for LPD redesignation.

Special Function On Apollo 11 there was a little trouble during the P64 flight segment. Apparently the rendezvous radar was trying track the CSM even though it wasn’t needed for this stage of flight. This additional processing overloaded the computer and caused several program alarms to occur. Two of them occurred in the previous flight segment (P63) but one more occurred during P64. When this happened the DSKY blanked and the alarm code showed in Register 1. During P64 a 1201 alarm occurred. It was easily ‘fixed’ by resetting the computer. In EL3D just press the “.” Key on the Numpad. The computer will restart. Note: For those that may have seen the HBO mini-series From the Earth to the Moon, you may recall this part of the story. However they “hollywooded” it up a bit with alarm bells and the Master Alarm light. In actuality the AGC program alarms were not connected to the Master Alarm. Of course the LMP was intensely scanning the DSKY so it really wasn’t necessary.


Apollo 12 Ocean of Storms

The Apollo 12 flight was the second landing on the moon, November 19, 1969. This landing is notable because it was a precision landing near the Surveyor 3 lunar probe which had landed there 2 ½ years earlier. The Surveyor probe was the target of a lunar EVA where the astronauts removed some parts for return to earth. Scientists wanted to examine them for the effects of long term exposure.

There are two EL3D scenarios for this landing:

  • Short Flight P66

This is a short flight in program P66. It starts at about 500’. The LM is descending at about 17fps and moving forward at about 70fps. The AGC program is P66. The Primary Navigation Guidance System (PGNS) switch is set to Attitude Hold. This is allows manual control of the LM attitude. The throttle is set to Automatic and the computer handles all of the throttle functions. The astronaut may click the Rate of Descent (ROD) switch up or down to initiate 1fps per click commanded changes in descent rate. Pressing F3 will show the historic landing site at the edge of Surveyor crater. A large arrow sets over the top and a green outline of a LM is on the surface.

  • Long Flight P64

The longer flight begins farther up range and at about 8000’. The LM is moving at about 500fps and descending at 140fps. The AGC program is P64. The Primary Navigation Guidance System (PGNS) switch is set to Auto. That means the autopilot is engaged. The DSKY display is flashing indicating it is expecting a PRO command. Pressing PRO (keyboard ‘*’) stops the flashing and allows for manual redesignation of the landing site. The angle to the computed landing site is displayed in the right two digits of Register 1 on the DSKY. Aligning this number with the Landing Point Designator (LPD) on the window will show the intended landing point. If this is not acceptable one can nudge the controller in the desired direction and the computer will recalculate the landing site, issue commands to the autopilot and display the new angle on the DSKY. As the LM slow pitches forward the LPD angle will change a little bit. Also, very near the landing site the LPD angle will be so far below the window that the LPD angle will go off scale. The two digits to the left on Register 1 of the DSKY indicate the time left for LPD redesignation.


Apollo 15

Apollo 15 Hadley Plain

The Apollo 15 flight was the fourth landing on the moon and the first to use the lunar rover (LRV).

There are two EL3D scenarios for this landing:

  • Short Flight P66

This is a short flight in program P66. It starts at about 500’. The LM is descending at about 17fps and moving forward at about 70fps. The AGC program is P66. The Primary Navigation Guidance System (PGNS) switch is set to Attitude Hold. This is allows manual control of the LM attitude. The throttle is set to Automatic and the computer handles all of the throttle functions. The astronaut may click the Rate of Descent (ROD) switch up or down to initiate 1fps per click commanded changes in descent rate. Pressing F3 will show the historic landing site. A large arrow sets over the top and a green outline of a LM is on the surface.

  • Long Flight P64

The longer flight begins farther up range and at about 8000’. The LM is moving at about 500fps and descending at 140fps. The AGC program is P64. The Primary Navigation Guidance System (PGNS) switch is set to Auto. That means the autopilot is engaged. The DSKY display is flashing indicating it is expecting a PRO command. Pressing PRO (keyboard ‘*’) stops the flashing and allows for manual redesignation of the landing site. The angle to the computed landing site is displayed in the right two digits of Register 1 on the DSKY. Aligning this number with the Landing Point Designator (LPD) on the window will show the intended landing point. If this is not acceptable one can nudge the controller in the desired direction and the computer will recalculate the landing site, issue commands to the autopilot and display the new angle on the DSKY. As the LM slow pitches forward the LPD angle will change a little bit. Also, very near the landing site the LPD angle will be so far below the window that the LPD angle will go off scale. The two digits to the left on Register 1 of the DSKY indicate the time left for LPD redesignation.


Overview

LM Systems

Computer

An Apollo Guidance Computer (AGC) unit was installed in both the LM and Command Module. The AGC handled all of the navigation and automatic control functions on the spacecraft. Not only did it act as a navigational instrument but it also served as a digital autopilot. Propulsion and RCS were controlled by the AGC. The interface to the AGC was through the Digital Display Keyboard (DSKY).

Learn how to operate the AGC in EL3D.

Instruments

EL3D faithfully represents the primary flight instruments. These instruments include the Flight Director Attitude Indicator (FDAI) ball, X-Pointer, Altitude Tape and Altitude Rate Tape.

Learn about the LM instruments.

Controls

The LM was controlled in manual flight with a joystick, just like the one on your desktop. In fact, the LM joystick was much like the ‘new’ joysticks with a twisting yaw axis. In addition, another joystick was mounted perpendicular to the first and located near the left hand of the astronaut. This joystick was known as the Thrust/Translation Controller Assembly (TTCA).

Learn about using the Joystick and other control options of EL3D.

Propulsion

The LM had two primary propulsion systems: Ascent Propulsion System (APS) and Descent Propulsion System (DPS). The DPS was located in the bottom stage and used for braking and landing. The APS was in the upper stage and used to ascend from the moon into lunar orbit.

Guidance

Guidance operated through the AGC. Each phase of flight was assigned a different computer program. Each of these programs provided guidance and flight control for the specified flight phase.

Flight Planning

Landing on the moon safely within a small distance of a predetermined location required massive planning. As the lunar surface loomed closer the need to make adjustments to the flight path to maneuver around craters and boulders became critical. Once a safe landing site had been picked the commander flew the LM manually following prescribed procedures for rate of descent and trajectory. Fuel management was a critical factor.

Learn how to fly the LM according to NASA standards in EL3D


Keyboard Commands

Keyboard assignments can change depending on if you selected joystick or keyboard controls (see explanation at bottom of this page)

General

These are general program commands

With Joystick | Keyboard Only | Command
F1 | F1 | Help
F2 | F2 | Computer DSKY Help
F3 | F3 | Show Original Site
F4 | F4 | Switch Fullscreen / Windowed
F5 | F5 | Start Flying
F6 | F6 | Show Menu
ESC | ESC | Quit - Exit Menu
SHIFT+R | SHIFT+R | Start Replay
SHIFT+L | SHIFT+L | Load Replay
SPACE | SPACE | Cycle Displays
None | NPAD+5 | Center Controls
P | P | Pause

Selecting Views

With Joystick | Keyboard Only | Command
1,2,3 | 1,2,3 | Virtual Views
4,5,6 | 4,5,6 | Cockpit Views
7,8 | 7,8 | Spot Views
9 | 9 | Ground View
0 | 0 | EVA View (only after landing)

Camera Controls in Virtual View

With Joystick | Keyboard Only | Command
UPARROW | UPARROW | Rotate Up
DOWNARROW | DOWNARROW | Rotate Down
LEFTARROW | LEFTARROW | Rotate Left
RIGHTARROW | RIGHTARROW | Rotate Right
Q | Q | Lower
E | E | Raise
< | < | Wider Angle
> | > | Narrower Angle
S | S | Reset Spot View

Camera Controls in Spot View

With Joystick | Keyboard Only | Command
A | A | Left
D | D | Right
W | W | Down
X | X | Up
Q | Q | Move Toward
E | E | Move Away
Comma | Comma | Wider Camera Angle
Period | Period | Narrower Camera Angle
S | S | Reset Spot View

Controls in EVA View

With Joystick | Keyboard Only | Command
A | A | Walk Left
D | D | Walk Right
W | W | Walk Forward
X | X | Walk Backward
F | F | Plant Flag

Flight Controls

With Joystick | Keyboard Only | Command
None | NPAD4 | Roll Left
None | NPAD6 | Roll Right
None | NPAD8 | Pitch Down
None | NPAD2 | Pitch Up
NPAD1 | NPAD1 | Yaw Left
NPAD3 | NPAD3 | Yaw Right
F8 | F8 | Translate Forward (+Z)
F7 | F7 | Translate Backwards (-Z)
F9 | F9 | Translate Left (-Y)
F10 | F10 | Translate Right (+Y)
F12 | F12 | Translate Up (+X)
F11 | F11 | Translate Down (-X)

Cockpit Switches

With Joystick | Keyboard Only | Command
+ | + | Rate of Descent (ROD) Up
= | = | Rate of Descent (ROD) Up
R | R | Rate Scale Toggle
SHIFT+D | SHIFT+D | Deadband Toggle
SHIFT+R | SHIFT+R | Roll Mode Toggle
SHIFT+P | SHIFT+P | Pitch Mode Toggle
SHIFT+Y | SHIFT+Y | Yaw Mode Toggle
SHIFT+A | SHIFT+A | AGS Toggle
SHIFT+P | SHIFT+P | PGNS Toggle
H | H | X-Pointer Toggle
T | T | Man/Aut ThrottleToggle

DSKY Keys

With Joystick | Keyboard Only | Command
NPAD0 | NUMLK+NPAD0 | Keypad 0
NPAD1 | NUMLK+NPAD1 | Keypad 1
NPAD2 | NUMLK+NPAD2 | Keypad 2
NPAD3 | NUMLK+NPAD3 | Keypad 3
NPAD4 | NUMLK+NPAD4 | Keypad 4
NPAD5 | NUMLK+NPAD5 | Keypad 5
NPAD6 | NUMLK+NPAD6 | Keypad 6
NPAD7 | NUMLK+NPAD7 | Keypad 7
NPAD8 | NUMLK+NPAD8 | Keypad 8
NPAD9 | NUMLK+NPAD9 | Keypad 9
NPADPlus | NUMLK+NPADPlus | Keypad +
NPADMinus | NUMLK+NPADMinus | Keypad -
NPADMinus | NUMLK+NPADMinus | Keypad -
NPADMinus | NUMLK+NPADMinus | Keypad -
NPADMinus | NUMLK+NPADMinus | Keypad -
NPADMinus | NUMLK+NPADMinus | Keypad -
NPADMinus | NUMLK+NPADMinus | Keypad -
NPADMinus | NUMLK+NPADMinus | Keypad -

Special Notes:

There are two different files that contain the assignments for commands: joyassignments.ini and keyboard.ini. If you use a joystick then assignments come from joyassignments.ini. If you use only the keyboard for flight control then all assignments come from keyboard.ini

Most commands can be assigned either to a joystick button or a keyboard key. To setup the joystick and assign commands to buttons then select "Setup" from the joystick section of the main dialog box.

The keyboard commands shown here are the default. You can change them by modifying the joyassignments.ini or keyboard.ini file with a text editor (Notepad).


Scoring

Switches

EL3D has a number of working switches that control various functions.

This bank of switches is located in the bottom control panel just above the DSKY.
  • Dead Band
  • Roll Mode Control
  • Pitch Mode Control
  • Yaw Mode Control
  • PGNS
  • PGNS Primary Guidance and Navigation System.
    • This is a three position switch:
      • Auto PGNS totally controls the spacecraft.
      • Att Hold PGNS issues commands to RCS that correspond to the deflection of the controller. The deflection of the controller corresponds to a rate command about the desired axis. RCS calculates the necessary fire times of the jets and tries to match the actual rate with the desired rate. Moving the controller back to the center effectively issues the command for zero rate and RCS fires to stop the rotation. Once the rotation has stopped within limits of the Deadband switch settings, PGNS holds that attitude within the Deadband limit.
      • Off No navigation or RCS activity is calculated.

  • Dead Band

    • This is a two position switch:

      • Max for less precision

      • Min for more precision

  • Roll, Yaw and Pitch Mode Controls

    • These are three position switches

      • Up position for PGNS automatic operation

      • Pulse to operate in 'free' mode. Deflection of the controller fires the jet continuously.

      • Off No operation

This bank of switches is located just underneath the FDAI ball.
  • Rate Scale
  • Throttle Control

  • Rate Scale

    • This is a two position switch:

      • 25deg/sec This is the maximum pitch, roll, or yaw rate that will be commanded near full controller deflection

      • 5 deg/sec. A slower maximum pitch, roll, and yaw rate.

  • Throttle Control

    • This is a two position switch:

      • Automatic PGNS controls the throttle and the ROD switch selects descent rate.

      • Manual The throttle is controlled manually with the TTCA.


Flight Controls

You can fly Eagle Lander 3D with the keyboard, mouse or the joystick. If you have more then one joystick or other game controllers (rudder pedals, etc.) each can be assigned to any function separately. For the most realistic setup you should have a joystick with a twisting axis like the Microsoft Sidewinder Pro. The real LM had the yaw on a twisting controller. Another joystick could simulate the Thrust/Translation Controller Assembly (TTCA).

Mouse

Right clicking on the screen activates the mouse as the primary flight controller when Keyboard is the active controller setting. Moving the mouse controls pitch and roll. The keyboard must be used for throttle / yaw commands.

Left clicking on the screen returns the mouse to normal function and the keyboard becomes the primary flight controller.

Joystick

To assign joystick functions, select Setup under the Controls section. This starts a program that allows you to assign joystick axis and joystick buttons to appropriate functions. If you have multiple joysticks you can assign functions in a very realistic way. You can assign one joystick to the primary pitch, roll, yaw controller and the other to the TTCA controller for translation. You can also make use of the many buttons on newer joysticks and assign them to common switches rather then using their keyboard settings.

By default Button one is assigned to the ROD (Rate of Descent) switch. Button one toggles a 1fps decrease in descent rate (in auto-throttle mode). Button two toggles a 1fps decrease in descent rate (in auto-throttle mode)

The buttons are fully programmable. You can use the Joystick Setup window to assign virtually any function to a joytick button.

Keyboard

When using the keyboard the following buttons are default for primary axis control:

Num 4 Roll left

Num 6 Roll right

Num5 Center (Attitude Hold)

Num 2 Pitch up

Num 8 Pitch down

Num 1 Yaw left

Num 3 Yaw right

Other control keys such as translation, etc. are described here.

Common Keyboard Controls

Please see here.


Instruments

The following graphic shows the ‘actual’ LM panel from the Virtual View. In Cockpit View the instruments are rearranged to make better space on the screen.

The X-Pointer will display your forward and lateral velocities. You can change the scale with the switch at the right under the Lunar Contact light, or pressing the "H" key. As you descend vertically keep your horizontal velocity rates nulled by observing this gauge along with the FDAI ball.

The FDAI ball is an attitude indicator. It is much like an aircraft attitude indicator except it also shows the amount of yaw in degrees. The three arrows on the top, bottom and right side display pitch, roll and yaw rates. The three corresponding orange needles show pitch, roll and yaw error. A deflection of a needle away from center is an indication that you should roll, pitch or yaw toward the needle until it centers again.


Overview

Apollo Guidance Computer (AGC)

The operation of the AGC was through the Digital Display Keyboard (DSKY). Operation of the DSKY involved punching various sequences of letters and codes. The interface to the computer was extremely advanced at a time when most modern computers were using punch cards for programming.

The layout of the DSKY included a series of program lights (on the left), an LED display (on the right), and a keyboard (underneath). The LED display shows the current program running, an activity light (how busy is the computer), and three registers for displaying / entering information.

The designers of the DSKY developed a method of communicating with the AGC by issuing commands based on Nouns and Verbs. Nouns were codes meant to be acted upon. Verbs were codes telling what to do. The sequence of issuing a command began with pressing “Verb” (do something), and the number of the function (what to do). Typically this could be followed by pressing “Noun” (display something) and a number (what to display).

For example entering: Verb > 37 > Enter meant a request to change the current program. The next number would be the program to start. So, using the syntax of NASA the command would look like, V37E68E. This means type in the sequence by using the keys in the order: Verb>”37”>Enter>”68”>Enter.

Another example is to enter Minimum Impulse Mode. You can try this in EL3D while in orbital flight. This is an RCS thruster mode that just fires a quick 14ms burst when the controller is moved. It is used for fine alignment when doing star sightings in space. To command the AGC to utilize this mode the astronaut will type V76E. 76 means “Enter minimum impulse mode”. There is nothing to display so it is not necessary to enter any other information (Noun, Program, etc.) To return from that mode the astronaut will type V77E. 77 means “Exit minimum impulse mode”.

The AGC ‘knows’ what to do for a particular flight phase by running a program referenced by a number. Programs are referred to as PXX where XX is a program name. Some programs start automatically at the conclusion of the previous program (P66 after P64) and others need to be started manually (P12 – ascent program). Still others may start when pushing a certain button (P71 abort when you hit the abort button). Available programs for EL3D LM operations are:

P00 Idle loop

P12 Ascent

P20 Rendezvous

P70 DPS Abort

P71 APS Abort

P63 Breaking phase

P64 Pre-Landing phase

P66 Terminal Phase

P68 Landed

Anytime during your EL3D flight you can hit F2 for help on the DSKY commands available for the current program. Let’s look at the example for P66 after pressing F2:

The first section describes the function of the program

Purpose: To control the LM in final phase of landing.  With Mode Control in Auto forward and lateral velocities are nulled.  When in Manual the inertial attitude is controlled by the astronaut.  Throttle is calculated and Rate of Descent (ROD) is controlled by toggling the ROD switch. P66 is started automatically by Landing Auto Modes Monitor routine when targeted conditions for P64 are met or the ROD switch has been activated after P63.

This section shows the various displays available on the DSKY registers depending on the Verb/Noun combination. Whenever a display shows Flashing then the program is expecting a confirmation request. In the case of the following program pressing PRO (Proceed) indicates the finish of P66 following landing.

Displays and Actions

      Flashing    Forward Velocity             XXXX.X ft/s

      V06N60      Altitude Rate                XXXX.X ft/s

                  Computed Altitude            XXXXX  ft

Supplemental information about other switches and functions that affect this program are shown below.

Use ROD switch as desired.

To manually null forward and lateral velocities: Mode Control: PGNS > Attitude Hold.

Manual throttle available

Typing V16N92E (Verb>16>Noun>92>Enter) brings up an alternate display. This display might be useful if you are using manual throttle.

V16N92E

       Flashing    Percent Full Thrust         00XXX ft/s

       V16N92      Altitude Rate               XXXX.X ft/s

                   Computed Altitude           XXXXX  ft

The KEY REL entry below indicates that the Key Release light is on. When this light comes on it means the astronaut is doing something with the DSKY that is not part of the primary display or function of the current program. By pressing the Key Rel key the program resumes the ‘normal’ display and function. In the example below the program (P66) really wants to display V06N60 parameters. When V16N92E was entered in the previous section it was showing a display that was not the preferred one.

KEY REL

       Flashing    Forward Velocity            XXXX.X ft/s

       V06N60      Altitude Rate               XXXX.X ft/s

                   Computed Altitude           XXXXX  ft

       Engine Stop

PRO

And finally the next program that should be run. In this case it is started manually by typing V37E68E

Next Program is Landing Confirmation Program P68:

   V37E68E


About

Go for Landing LLC

Eagle Lander 3D is written by Ron Monsen.

Website: http://www.eaglelander3d.com

Contact: Ron Monsen

Copyright 2002,2004

Acknowledgements

I would like to extend my thanks to Frank O’Brien and Hennie Frik for their assistance in this effort.

  • Frank is a historian of Apollo and offered much material and consultation for ‘getting it right’. Frank is also one of the editors of the Apollo Flight Journal – a NASA based historical account of the Apollo landings. http://www.hq.nasa.gov/office/pao/History/ap15fj/

  • Hennie Frik did a tremendous job 3D modeling the complex LM ascent stage. His meticulously detailed main ascent stage and every nuance of the many antennas are worthy of the best professional 3D modelers.


Requirements

The need for a high quality 3D graphics card to fly Eagle Lander 3D (EL3D) can not be overemphasized. In the past PCs were judged by their cpu speed: a 3ghz machine was faster and more powerful then a 1hz machine. For 3D applications this is not true!

A 600mhz old-clunker PC will fly EL3D much smoother and faster then a 3.2ghz screamer if the 600mhz PC has a superior graphics card. The 3.2ghz PC will will churn out Excel spreadsheets and access databases five times faster then the 600mhz machine - but those are office applications - not 3D applications.

Modern PC manufacturers do not by default put top-quality graphics cards into their boxes. As I write this, the Nvidia FX 5200 graphics card is the most common installed card on new computers for the home and office. The 5200 card is fine for office applications and can run 3D applications too. Nevertheless, the 5200 is only about 2/3rds as fast as my old GForce3 3D graphics card from nearly 4 years ago! The reason: cost. A 5200 card costs the manufacture (and you) under $50. A top quality card such as the Nvidia FX 5950 or Radeon 9800XT costs nearly $500. The difference in performance is about the same.

With the above in mind, a basic EL3D system consists of:

  • 1ghz computer with at least 256mb of memory.
  • 3D graphics card with at least 128mb of memory.
  • Windows XP

If you can live with lower frame rates, computers with less capabilities will still run EL3D. Laptops are usually marginal. The graphics adapters in laptops are the worst of all. Even the best and most expensive laptops generally have extremely poor 3D graphics capabilities. As I write this, the best graphics adapter installed in a top rated laptop is the GForce 5600 (>$2000 laptop) - a mid-range performing graphics adapter.

I have always purchased PCs with the best graphics card available at the time. It adds more to the cost of the computer but I feel it is worth it. Also, to extend the life of my computer I will usually upgrade to a new graphics card at least once in its lifetime. It is easy to do - just buy the card - open the box - pull out the old one - stick in the new one - close the box - boot up the machine - install the graphic drivers. The whole operation takes 15 minutes. You can still use your old card by pulling off parts for fishing lures.


Customizing

There are various ways of customizing EL3D. None of these methods should be undertaken unless you are a pretty confident ‘hacker’ with a good background in using text editors, bitmap programs, etc., and you are not afraid of unexpected consequences.

Keyboard and Joystick Assignments

There are two files containing the joystick and keyboard assignments: JoyAssign.ini and KeyboardOnly.ini. Joystick axis, buttons and keyboard assignments for the joystick operation are in the JoyAssign.ini file. If just flying with the keyboard then the keyboard assignments are in KeyboardOnly.ini. There can be slightly different keyboard assignments depending on which method of control you use.

Joystick axis and buttons assignments are probably more easily changed in the joystick setup program. Keyboard assignments must be changed with a text editor. Notepad will work fine.

Flight Parameters

Each mission has a parameter file with the .sit extension. It is located in the specific mission directory. To determine available missions, EL3D looks for directories under the Missions directory. Each directory it finds is called a mission and listed in the Missions combo box. Each .sit file it finds is listed on the Scenario combo box with the name of the .sit file. Of course you can have multiple scenarios for a single mission. Typically there would just be one or two: a short P66 flight and a longer P64 flight. Using a text editor you can create your own scenarios or modify the existing ones. Most of the parameters are self explanatory.

Instruments

For those of you who like to fly with the 2D panel, there is a file called Instruments.ini. Here you will find the positions of available instruments. All locations are based on a ‘standard’ 1600x1200 pixel screen. You must enable an instrument with a “-1” (On) or “0” (Off).

Playing around with textures (bitmaps)

There are tons of textures and bitmaps that can be altered or changed. Look inside the Textures folder for a few. There are more in the Models folder. These textures are used to ‘paint’ the models. Most are .jpg files but some are .png (with alpha channel) or .dds (multi-bit alpha files).

Developer Features

Inside the file Eagle.ini is located a developer section. The entries ‘turn-on” with a “-1” as the value. There are four options:

Write Virtual Cockpit Locations

By turning on this option the default locations inside the virtual cockpit for the current mission/scenario is written when pressing CTRL+V. You can use this to set up cockpit locations for the three different views available in Virtual View.

Move the landscape

· “I” selects the land. There are 3 lands: 0,1,2. 0 is the fine detailed landing area, 1 is a medium area and 2 is the large area.

· “J” selects the function. You can alter: scale X-Z, scale Y, Move X-Z. Move Y.

· “+” or “-“ changes the increment of “J”.

· Up, down, left and right arrows move or scale the selected function appropriately.

· “O” writes the data to the .sit file.

Be CAREFUL. This is not an ‘easy’ interface. It was not intended to be used much and is only for initial development of a mission. It is admittedly clunky and hard to handle.

To change the scenery locations, sizes for a complete mission this must be done separately for each level of scenery complexity

Move Surveyor

This can move the Surveyor probe in Apollo 12.

· “J” selects the function: Rotate X, Y or Z, Move X, Y or Z.

· “+” or “-“ changes the increment of “J”.

· Up and Down arrow keys do the movement.

· “O” writes the data.

Again this done for each level of scenery complexity.

Make nodes for the intro ‘fly-in’ screen

The camera follows these nodes and zooms into the LM from the distance.

· CTRL+C will initiate or reset to the first node.

· CTRL+N will make a node.

The best way to do this is to switch to Spot View before actually beginning flight. Now travel way out (“E” key”) and use POV or keys to get to your start point. Now hit CTRL+N. Move closer to the LM and follow the path you want to make with “E, Q” keys and POV. Keep hitting CTRL+N as you go. Each node is a second apart. Usually about 15 nodes is fine.

· CTRL+W writes the nodes to disk. The file name will be the name of the scenario plus “.nde”.


Troubleshooting

It seems nowadays that no matter how 'standard' Windows has become, there are seemingly endless varieties of configurations designed to confound the best programs and the most experienced users.

So with that in mind here are a few tips:

Make sure you have the latest drivers for your video card. This ensures the best possible performance and compatibility. A couple of spots to look:

· For Nvidia based cards: http://nvidia.com/content/drivers/drivers.asp

· For Radeon based cards: http://www.ati.com/support/driver.html

If you have very low frame rates (<10fps) it is probably due to an underpowered video graphics card.

· Try using the Simple Model option in the Advanced dialog box. These models are much simpler then the default ones and may give your poor card a helping hand.

· Reduce resolution of the landscape and textures. You may be running out of texture memory on your video card or the card is just not capable of running high polygon landscapes and models.

· Don’t use Realistic Shadows. Try the Synthetic ones or none at all. Many slower cards have trouble calculating shadows.

Play around. I know that is not a very technical troubleshooting statement, but you will find that playing around with the window size, graphics setting, detail levels, etc. can allow you to get the program running in most cases. After a little work I was actually able to get the program to run on my wife's Dell laptop. It won't run in full screen but as a smaller window it does just fine.

Finally----

In the Advanced dialog box you can turn on debugging. EL3D then creates a file is called GraphicDebug.txt in the same folder as you installed the program. You can use this file to see where your computer had trouble or you can send it to me at monsenrm@eaglelander3d.com.


EVA

Once you have successfully landed you can explore the surface with an EVA. Selecting the 0 key will bring you to floor looking out the open hatch.

General Technique

The most realistic way is to move toward the hatch. Now turn around and back out the hatch and down the ladder. That's one small step!

If you are using the Keyboard / Mouse as your primary controller then the commands are as follows.

Keyboard

If Keyboard / Mouse is the primary controller, the A,D,W,X commands can be used to 'walk'. The mouse is the camera angle.

Make sure you plant the US flag at an appropriate position by pressing F.

Joystick

The joystick Point of View (POV) hat - if you have one - will allow you to 'look' in the direction you desire. Movement of the joystick will walk you in that direction.


Scoring

Orbital Operations

  • Select “Orbital” Mission and Flight from the startup dialog.
  • You are starting a few feet away from the Command Module in lunar orbit about 60m. You can practice rendezvous procedures with roll, pitch, yaw and translation.
  • One interesting exercise is to align the LM in a docking orientation with the CM by looking through the overhead docking window, (Virtual View 3). Normal rendezvous procedure had the LM as a passive target and the CM the active spacecraft. The Command Module Pilot (CMP) docked with a ‘stationary’ LM. Of course in an emergency the LM could be active as well. This would involve docking with the CM while looking up through the docking window. All the controls would be 90deg from ‘normal’. Try it and see.
  • Try different modes of RCS. (See Switch Positions). In normal Attitude Hold you can select minimum and maximum Deadband. This means that the calculated attitude will be held within the Deadband. At Max Deadband the attitude is held within 5 degrees. In minimum Deadband it is .5 degrees. Of course the accuracy is less in Max, but RCS fires less too.
  • Select Minimum Impulse Mode. Enter V76E through the DSKY (Learn how to use the computer). Now every time you move the controller a short burst of 14ms occurs. This is used for star sightings and very small and precise maneuvers. To return to normal enter V77E.
  • You can manually stage the LM. Hit CTRL+A and the two stages separate and drift apart. Watch the LM descent stage tumble slowly beneath you. Of course you just blew any chance of landing…..


Views

Virtual Views "1,2 or 3"

There are three different virtual views that allow you the freedom to move around inside the cockpit easily. You can use your Point of View hat (POV) on your joystick or keys "Q,W,E,A,D,X" to move around each view. You can also change the field of view (FOV) independently for each view with "[,]" keys.

Cockpit View ("4,5,6")

The cockpit views consist of a view looking forward and slightly downward with a 2D instrument panel overlay. View "4" is normal. View "5" is semi-transparent. View "6" is an external view without the panel.

Spot View ("7,8")

The spot view gives you the opportunity to view the LM from outside. View "7" is a soft chase view. The camera moves smoothly with a reference to the LM. View "8" provides a "hard" chase view - the camera is fixed a certain distance from the LM. You can move around the LM by either using the keyboard commands or the Point of View hat (POV) on your joystick. Remember the "E" and "Q" keys will move you toward or away from the LM.

Ground View ("9")

The ground view is a fixed view a short distance from the original landing site.

EVAView ("0")

This view is only available after a successful landing. It initial positions you in front of the open LM hatch. See EVA for more information.